%define _default_patch_fuzz 2

Name:			PerceptualDiff
Version:		1.0.2
Release:		5%{?dist}
Summary:		An image comparison utility

Group:			Applications/Multimedia
License:		GPLv2+
URL:			http://pdiff.sourceforge.net
Source:			http://downloads.sourceforge.net/pdiff/%{name}-%{version}.tar.gz
Patch0:			PerceptualDiff-1.0.2-gcc43.patch
Patch1:			PerceptualDiff-1.0.2-gcc44.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake
BuildRequires: freeimage-devel
BuildRequires: libtiff-devel
BuildRequires: libpng-devel




%description
PerceptualDiff is an image comparison utility that makes use of a 
computational model of the human visual system to compare two images.

This software is released under the GNU General Public License.

%prep
%setup -q
sed -i 's/\r//' LPyramid.cpp
sed -i 's/\r//' LPyramid.h
chmod 0644 *
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .gcc44


%build
export  CFLAGS="$RPM_OPT_FLAGS" 
export  CXXFLAGS="$RPM_OPT_FLAGS"
export  FFLAGS="$RPM_OPT_FLAGS"

cmake \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} .
make VERBOSE=1 %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT%{_bindir}/perceptualdiff

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.txt gpl.txt
%{_bindir}/perceptualdiff



%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 kwizart < kwizart at gmail.com > - 1.0.2-4
- Fix and Rebuild for gcc44

* Mon Sep  1 2008 kwizart < kwizart at gmail.com > - 1.0.2-3
- Re-introduce gcc43 patch

* Mon Sep  1 2008 kwizart < kwizart at gmail.com > - 1.0.2-2
- Add Missing BR freeimage-devel

* Mon Sep  1 2008 kwizart < kwizart at gmail.com > - 1.0.2-1
- Update to 1.0.2

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 1.0.1-8
- Rebuild for gcc43

* Fri Jan  4 2008 kwizart < kwizart at gmail.com > - 1.0.1-7
- Fix gcc43

* Tue Aug 14 2007 kwizart < kwizart at gmail.com > - 1.0.1-6
- Update the license field to GPLv2

* Tue Apr 17 2007 kwizart < kwizart at gmail.com > - 1.0.1-5
- Removed cflags calls at cmake step.

* Tue Apr 17 2007 kwizart < kwizart at gmail.com > - 1.0.1-4
- Fix CXXFLAGS
- Fix wrong-script-end-of-line-encoding and spurious-executable-perm

* Tue Apr 17 2007 kwizart < kwizart at gmail.com > - 1.0.1-3
- Fix RPATHs from cmake build from:
  http://fedoraproject.org/wiki/PackagingDrafts/cmake
- Make VERBOSE=1

* Sat Apr 14 2007 kwizart < kwizart at gmail.com > - 1.0.1-2
- Minor fixes wip

* Wed Apr 11 2007 kwizart < kwizart at gmail.com > - 1.0.1-1
- Update to 1.0.1
- Fix RPATHs
- Removed Exclude x86_64

* Sun Jan 21 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.0-2
- BuildRequires fixed
- Excluded x86_64

* Thu Jan 18 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.0-1
- Update to 1.0

* Mon Dec 11 2006 Tobias Sauerwein <tsauerwein@aqsis.org> 0.9
- Initial RPM/SPEC
